%define build_staticlib 0
%{?_with_staticlib: %global build_staticlib 1}

Summary:		A binary delta generator
Name:			xdelta3
Version:		3.0.11
Release:		%mkrel 5
License:		GPLv2
Group:			File tools
URL:			http://xdelta.org
Source0:		https://github.com/jmacd/xdelta-gpl/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:		pkgconfig(zlib)
BuildRequires:		pkgconfig(liblzma)

%description
Xdelta3 is the third and latest release of Xdelta, which is a set of
tools and APIs for reading and writing compressed deltas. Deltas
encode the differences between two versions of a document. This
release features a completely new compression engine, several
algorithmic improvements, a fully programmable interface modelled
after zlib, in addition to a command-line utility, use of the RFC3284
(VCDIFF) encoding, a python extension, and now 64-bit support.

%if %build_staticlib
%package devel
Summary:		Static libraries and header files for development with XDelta3
Group:			Development/C
Requires:		%{name}

%description devel
This package contains the static libraries and header files
required to develop applications using Xdelta3.
%endif

%prep
%setup -q
%autopatch -p1

%build
%configure --with-liblzma
%make_build CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

# Create compat symlinks
pushd %{buildroot}/%{_bindir}
ln -s xdelta3 xdelta
popd

pushd %{buildroot}/%{_mandir}/man1
ln -s xdelta3.1 xdelta.1
popd


%files
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/xdelta*

%if %build_staticlib
%files devel
%{_includedir}/*.h
%{_libdir}/*.a
%endif


%changelog
* Tue Jul 19 2022 wally <wally> 3.0.11-5.mga9
+ Revision: 1869426
- enable liblzma support (mga#30652)
- build using our linker flags

* Wed Mar 16 2022 umeabot <umeabot> 3.0.11-4.mga9
+ Revision: 1794935
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.0.11-3.mga8
+ Revision: 1518606
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.0.11-2.mga7
+ Revision: 1301829
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 daviddavid <daviddavid> 3.0.11-1.mga7
+ Revision: 1170681
- new version: 3.0.11
- remove merged upstream patch
- update Source Url

* Thu Feb 25 2016 luigiwalser <luigiwalser> 3.0.0-7.mga6
+ Revision: 979032
- add patch from debian to fix CVE-2014-9765

* Sat Feb 06 2016 umeabot <umeabot> 3.0.0-6.mga6
+ Revision: 939942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-5.mga5
+ Revision: 739862
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-4.mga5
+ Revision: 690576
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.0-3.mga4
+ Revision: 520504
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.0.0-2.mga3
+ Revision: 386708
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 dmorgan <dmorgan> 3.0.0-1.mga1
+ Revision: 43046
- Fix install
- Fix spec file
- New version 3.0.0
- imported package xdelta3

